problema errore aggionamenti

Configurazione e uso delle applicazioni del desktop manager alla base di Xubuntu.

problema errore aggionamenti

Messaggioda xububu » lunedì 25 giugno 2018, 15:14

non facevo aggiornamenti da molto perchè è un pc che uso poco. volevo recuperare ma dopo aver scaricato tutto (507 uptades) al momento dell'installazione mi da questo errore:

Codice: Seleziona tutto
installArchives() failed:
Estrazione dei template dai pacchetti: 5%%
Estrazione dei template dai pacchetti: 11%%
Estrazione dei template dai pacchetti: 17%%
Estrazione dei template dai pacchetti: 23%%
Estrazione dei template dai pacchetti: 29%%
Estrazione dei template dai pacchetti: 35%%
Estrazione dei template dai pacchetti: 41%%
Estrazione dei template dai pacchetti: 47%%
Estrazione dei template dai pacchetti: 53%%
Estrazione dei template dai pacchetti: 59%%
Estrazione dei template dai pacchetti: 65%%
Estrazione dei template dai pacchetti: 71%%
Estrazione dei template dai pacchetti: 76%%
Estrazione dei template dai pacchetti: 82%%
Estrazione dei template dai pacchetti: 88%%
Estrazione dei template dai pacchetti: 94%%
Estrazione dei template dai pacchetti: 100%%
Preconfigurazione dei pacchetti in corso

Estrazione dei template dai pacchetti: 5%%
Estrazione dei template dai pacchetti: 11%%
Estrazione dei template dai pacchetti: 17%%
Estrazione dei template dai pacchetti: 23%%
Estrazione dei template dai pacchetti: 29%%
Estrazione dei template dai pacchetti: 35%%
Estrazione dei template dai pacchetti: 41%%
Estrazione dei template dai pacchetti: 47%%
Estrazione dei template dai pacchetti: 53%%
Estrazione dei template dai pacchetti: 59%%
Estrazione dei template dai pacchetti: 65%%
Estrazione dei template dai pacchetti: 71%%
Estrazione dei template dai pacchetti: 76%%
Estrazione dei template dai pacchetti: 82%%
Estrazione dei template dai pacchetti: 88%%
Estrazione dei template dai pacchetti: 94%%
Estrazione dei template dai pacchetti: 100%%
Preconfigurazione dei pacchetti in corso

Estrazione dei template dai pacchetti: 5%%
Estrazione dei template dai pacchetti: 11%%
Estrazione dei template dai pacchetti: 17%%
Estrazione dei template dai pacchetti: 23%%
Estrazione dei template dai pacchetti: 29%%
Estrazione dei template dai pacchetti: 35%%
Estrazione dei template dai pacchetti: 41%%
Estrazione dei template dai pacchetti: 47%%
Estrazione dei template dai pacchetti: 53%%
Estrazione dei template dai pacchetti: 59%%
Estrazione dei template dai pacchetti: 65%%
Estrazione dei template dai pacchetti: 71%%
Estrazione dei template dai pacchetti: 76%%
Estrazione dei template dai pacchetti: 82%%
Estrazione dei template dai pacchetti: 88%%
Estrazione dei template dai pacchetti: 94%%
Estrazione dei template dai pacchetti: 100%%
Preconfigurazione dei pacchetti in corso
(Reading database ...
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%dpkg: unrecoverable fatal error, aborting:
 files list file for package 'foomatic-db-compressed-ppds' is missing final newline
Error in function:



se invece deseleziono tutti i 507 pacchetti e poi ne seleziono uno solo a caso ho sempre lo stesso errore ma alla fine c'è scritta una riga in più

(Reading database ... 90%%dpkg: unrecoverable fatal error, aborting:
files list file for package 'foomatic-db-compressed-ppds' is missing final newline
Error in function:
SystemError: E:Sub-process /usr/bin/dpkg returned an error code (2)


che posso fare? grazie
Ultima modifica di xububu il lunedì 25 giugno 2018, 15:55, modificato 1 volta in totale.
pc amd xp 1600+ con 1gb di ram - scheda video GeForce FX 5200 - xubuntu 12.04
Avatar utente
xububu
Prode Principiante
 
Messaggi: 91
Iscrizione: ottobre 2007

Re: problema errore aggionamenti

Messaggioda pachisapiu » lunedì 25 giugno 2018, 15:34

1) di che versione di ubuntu parliamo ?
2) posta gli output completi e non a pezzi e usa il tag code e non il quote
Carbonara is my law - Chi ?
Curriculum - OffTopic
Avatar utente
pachisapiu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1403
Iscrizione: maggio 2017
Distribuzione: FreeDOS

Re: problema errore aggionamenti

Messaggioda xububu » lunedì 25 giugno 2018, 15:36

xubuntu 11.10
ho provato anche
Codice: Seleziona tutto
sudo apt-get remove foomatic-db-compressed-ppds
[sudo]
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno RIMOSSI:
  foomatic-db-compressed-ppds xubuntu-desktop
0 aggiornati, 0 installati, 2 da rimuovere e 500 non aggiornati.
Dopo quest'operazione, verranno liberati 741 kB di spazio su disco.
Continuare [S/n]? s
(Lettura del database... 90%dpkg: errore fatale non recuperabile, uscita:
 al file con l'elenco dei file del pacchetto "foomatic-db-compressed-ppds" manca un newline finale
E: Sub-process /usr/bin/dpkg returned an error code (2)


però adesso entrando in gestore aggiornamenti (per postarvi gli output completi) mi ha detto che poteva fare un partial upgrade. ci to provando ma mi sta restituendo una sfilza di errori
pc amd xp 1600+ con 1gb di ram - scheda video GeForce FX 5200 - xubuntu 12.04
Avatar utente
xububu
Prode Principiante
 
Messaggi: 91
Iscrizione: ottobre 2007

Re: problema errore aggionamenti

Messaggioda caturen » lunedì 25 giugno 2018, 15:48

quella versione è dell'età della pietra e non puoi farci più nulla dato che è fuori supporto da tempo immemore. Devi formattarlo ed installare una versione supportata.
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14057
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problema errore aggionamenti

Messaggioda xububu » lunedì 25 giugno 2018, 15:55

ok. però il computer è abbastanza datato. proverò una lubuntu probabilmente.
pc amd xp 1600+ con 1gb di ram - scheda video GeForce FX 5200 - xubuntu 12.04
Avatar utente
xububu
Prode Principiante
 
Messaggi: 91
Iscrizione: ottobre 2007

Re: problema errore aggionamenti

Messaggioda pachisapiu » lunedì 25 giugno 2018, 15:58

xububu Immagine ha scritto:ok. però il computer è abbastanza datato. proverò una lubuntu probabilmente.

che cpu ha ? quanta ram ? che scheda video ?
Carbonara is my law - Chi ?
Curriculum - OffTopic
Avatar utente
pachisapiu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1403
Iscrizione: maggio 2017
Distribuzione: FreeDOS

Re: problema errore aggionamenti

Messaggioda caturen » lunedì 25 giugno 2018, 17:36

xububu Immagine ha scritto:ok. però il computer è abbastanza datato. proverò una lubuntu probabilmente.
se ci girava bene xfce non vedo perchè ora vuoi metterci lubuntu
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14057
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problema errore aggionamenti

Messaggioda .:matteo:. » giovedì 28 giugno 2018, 21:11

xububu Immagine ha scritto:ok. però il computer è abbastanza datato. proverò una lubuntu probabilmente.

La 11.10 è stata la mia prima distro, ed era proprio Xubuntu! =)

Non c'è bisogno di utilizzare Lubuntu se ti trovi bene con Xubuntu.
Xubuntu è forse la distro che ha subito meno modifiche, nel bene e nel male, dalla 12.04LTS alla attuale 18.04LTS. nel tuo caso direi che è un bene. Fossi in te installerei Xubuntu 18.04 LTS e la terrei vita natural durante su quel pc, ricevendo aggiornamenti di sicurezza per 5 lunghi anni.
Se mai dovessi vedere considerevoli rallentamenti rispetto alla 11.10 (ripeto, sarà difficilissimo...) scrivi nuovamente in questa sezione e ti daremo una mano.
.:matteo:.
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1506
Iscrizione: gennaio 2012
Desktop: XFCE 4.12 / MATE 1.20
Distribuzione: Xubuntu 16.04 / Ubuntu MATE 18.04
Sesso: Maschile


Torna a Xfce

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 1 ospite